> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apiany.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 공개 모델 목록 조회

> 현재 API 키로 볼 수 있는 APIAny.AI 공개 모델 카탈로그를 반환합니다.



## OpenAPI

````yaml /ko/openapi.json get /v1/models
openapi: 3.1.0
info:
  title: APIAny.AI 공개 API
  version: 1.0.0
  description: APIAny.AI의 모델 통합, 비동기 미디어 작업, 채팅 생성, 크레딧 조회 및 작업 조회를 위한 공개 API입니다.
servers:
  - url: https://apiany.ai
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Models
    description: 공개 모델 카탈로그입니다.
  - name: Chat
    description: 텍스트 생성 및 채팅 호환 엔드포인트입니다.
  - name: Images
    description: 이미지 생성 및 이미지 편집 엔드포인트입니다.
  - name: Videos
    description: 동영상 생성 엔드포인트입니다.
  - name: Moderation
    description: Image safety and moderation endpoints.
  - name: Tasks
    description: 비동기 작업 조회입니다.
  - name: Account
    description: 계정 및 크레딧 조회입니다.
  - name: Free APIs
    description: Free utility APIs protected by API key rate limits.
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: 공개 모델 목록 조회
      description: 현재 API 키로 볼 수 있는 APIAny.AI 공개 모델 카탈로그를 반환합니다.
      operationId: listModels
      responses:
        '200':
          description: 모델 목록입니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelListResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ModelListResponse:
      type: object
      properties:
        object:
          type: string
          example: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/Model'
      required:
        - data
    Model:
      type: object
      properties:
        id:
          type: string
          example: nano-banana
        object:
          type: string
          example: model
        type:
          type: string
          example: image
        owned_by:
          type: string
          example: APIAny.AI
        display_name:
          type: string
          example: Nano Banana
        status:
          type: string
          example: active
        pricing:
          type: object
          additionalProperties: true
        parameters:
          type: object
          additionalProperties: true
      required:
        - id
        - object
        - type
        - display_name
        - status
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - invalid_request
                - auth_error
                - rate_limit
                - insufficient_quota
                - content_policy
                - timeout
                - network_error
                - service_error
                - billable_error
                - unknown
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            code:
              type:
                - string
                - 'null'
          required:
            - type
            - message
      required:
        - error
  responses:
    Unauthorized:
      description: API 키가 없거나 API 키가 유효하지 않습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````